// creator  : weidu.exe (version 23100)
// argument : UDCHAL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~UDCHAL~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~Global("DuelStarts","AR2202",3)~ THEN BEGIN 0 // from:
  SAY #52691 /* ~Hmm... I do not recognize you. For such a strong <MALEFEMALE> to come out of nowhere is unusual.~ */
  IF ~~ THEN REPLY #52692 /* ~Not as strong so much as Lasaonar was weak. I defeated his bravado easily.~ */ DO ~SetGlobal("DuelOn","AR2202",0)~ GOTO 1
  IF ~~ THEN REPLY #52693 /* ~I thank you. I take great pride in my ability.~ */ DO ~SetGlobal("DuelOn","AR2202",0)~ GOTO 3
  IF ~~ THEN REPLY #52694 /* ~It is none of your concern, unless you bring the favor of your house with your words.~ */ DO ~SetGlobal("DuelOn","AR2202",0)~ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #52695 /* ~I see. Then you will not object to facing me next. Lasaonar is my favorite male and his honor is of value to the First House.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 4.0 3.0 1.0
  SAY #52696 /* ~Speak with Sondal when you are ready to face me. You have a debt of honor to pay.~ */
  IF ~~ THEN DO ~SetGlobal("WaitingToDuel","GLOBAL",3)
EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.1
  SAY #52697 /* ~I can see that. You will have ample opportunity to test it as well.  Lasaonar is my favorite male and his honor is of value to the First House.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #52699 /* ~The favor of my house, the First House, is already given to someone. You may know him. Lasaonar, my favorite male.~ */
  IF ~~ THEN GOTO 2
END

IF ~Global("PlayerBarredFromDuel","GLOBAL",10)~ THEN BEGIN 5 // from:
  SAY #52772 /* ~Pathetic. It would seem that your victory over Lasaonar was luck at best. That makes his defeat all the more disappointing.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #52783 /* ~Sondal! Bar this fool's compatriots from the pit. They have lost, and deserve no attempts to reclaim face.~ */
  IF ~~ THEN DO ~SetGlobal("PlayerBarredFromDuel","GLOBAL",1)~ EXIT
END
